import 'dayjs/locale/nl';
export declare const getWeekDates: (date: Date) => Date[];
export declare const formatDateTime: (date: Date | null, template: string, language?: string) => string;
export declare const getDayShortName: (date: Date, language?: string) => string;
export declare const getDateWithoutTimeAsUTC: (date: Date) => Date;
export declare const toDateString: (date?: Date | undefined, format?: string) => string | undefined;
export declare const getYearMonthDayKey: (date: Date) => string;
export declare const getDateOfWeek: (week: number, year: number) => Date;
/**
 * Based on https://stackoverflow.com/a/16591175/1635379, calculate the first date of ISO-8601 week.
 * It can be calculated by calculating the number of Thursdays from the start of the year.
 * E.g. 12th Thursday is on 12th week.
 * @param week - ISO-8601 week
 * @param year - ISO-8601 year
 */
export declare const getDateOfIsoWeek: (week: number, year: number) => Date;
export declare const getIsoWeekAndYear: (date: Date) => {
    year: number;
    week: number;
    day: number;
};
export declare const getIsoWeek: (date: Date) => number;
export declare const minimumDelay: (func: () => void, startTime: Date, mininumMs: number) => void;
